A basic invitation and referral system allowing registered users to promote your site.

## Features

- Allows registered users to send invitation emails for your site by either a list of emails they manually input or from their contacts ( basic http://openinviter.com integration )
- Ability to limit how many emails per time duration a user can send, and duplicate email invitation prevention.
- Links inviter to the invitee
- Basic referral system where users' have their own referral code that they can send to people and get credit for registration e.g `yoursite.com/?rfc=816d9a0f96e55b39e420d35cc4224423` or any valid URL for your site with `&rfc=816d9a0f96e55b39e420d35cc4224423` appended
- Compatiable with esclkm's SMTP plugin (PHPMailer) for SMTP support. Just install and configure the SMTP plugin if you want SMTP support and you're good to go.

## Installation

1. Download, unzip and move 'invite' folder into your module directory
2. Install through the administration panel
3. Ensure the extension configurations are set to your preference
4. Edit invite/tpl/invite.tpl and invite/tpl/invite.contact.tpl to fit your theme
5. (optional) Add any of the tags below to your templates

## Tags

All tags below are optional and just add additional functionality to your site.

### users.details.tpl, users.profile.tpl

###### Inside: MAIN

- `{INVITE_USER_INVITED_LIST_DEFAULT}`: A list of users successfully recruited comma separated generated by a resource
- `{INVITE_USER_INVITED_LIST}`:  A list of users successfuly recruited generated by a resource
- `{INVITE_USER_INVITED_COUNT}`: Number of users successfully recruited
- `{INVITE_USER_REFERRAL_CODE}`: The referral code for the user e.g 816d9a0f96e55b39e420d35cc4224423
- `{INVITE_USER_REFERRAL_URL}`: A referral URL for the user e.g yoursite.com/?rfc=816d9a0f96e55b39e420d35cc4224423

### users.register.tpl

###### Inside: MAIN

- `{INVITE_REGISTER_REFERRAL_CODE}`: An optional tag that allows registered users to manually enter in a referral code. Everything will still work if this tag is NOT present. This field will get automatically filled if the user had hit a referral code URL.

## Global template variables

Variables that may be useful and can be used in any template anywhere.

- `{PHP.invite_user_ref_code}`: The referral code for the currently logged in user
- `{PHP.invite_user_ref_url}`: The referral URL for the currently logged in user

## Language overrides

You can override the following config values in situations where the admin panel restricts you.

<table>
	<tr>
		<td>Config name</td>
		<td>Language string</td>
	</tr>
	<tr>
		<td>Invite email subject format</td>
		<td>invite_send_subject</td>
	</tr>
	<tr>
		<td>Invite email message format</td>
		<td>invite_send_message</td>
	</tr>
</table>

## Credits

OpenInviter 1.9.3 ([http://openinviter.com](http://openinviter.com))